bl_info = {
	"name": "GoB",
	"description": "A unofficial GOZ-like for Blender",
	"author": "ODe/Aleatoire99",
	"version": (0,2),
	"blender": (2,5,7),
	"api": 36138,
	"location": "At the top info header",
	"warning": "",
	"wiki_url": '',
	"tracker_url": '',
	"category": "Import-Export"}

pathImport = "C:/Users/Public/Pixologic/GoZProjects/Default"
pathExport = "C:/Program Files (x86)/Pixologic/ZBrush 4.0/ZExportImport"

# ##### BEGIN GPL LICENSE BLOCK #####
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2
#  of the License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software Foundation,
#  Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# ##### END GPL LICENSE BLOCK #####

import bpy,os,struct
from struct import pack,unpack

def importGoB():
	startTime = 0.
	endTime = 0.
	os.stat_float_times(True)
	try:
		oldFic = open(pathImport+'/oldFic.gob','rb')
		startTime = unpack('d',oldFic.read(8))[0]
		oldFic.close()
	except:
		pass
	oldFic = open(pathImport+'/oldFic.gob','wb')
	for file in os.listdir(pathImport):
		if file[-4:] == ".obj":
			ficTime = os.path.getmtime(pathImport+"/"+file)
			if ficTime > startTime:
				bpy.ops.import_scene.obj(filepath=pathImport+"/"+file)
			if endTime < ficTime:
				endTime = ficTime
		elif file[-4:] == ".tif":
			bpy.data.images.load(pathImport+"/"+file)
	oldFic.write(pack('d',endTime))
	oldFic.close()
class INFO_HT_header(bpy.types.Header):
	bl_space_type = 'INFO'
	def draw(self, context):
		layout = self.layout
		window = context.window
		scene = context.scene
		rd = scene.render
		row = layout.row(align=True)
		row.template_header()
		if context.area.show_menus:
			sub = row.row(align=True)
			sub.menu("INFO_MT_file")
			sub.menu("INFO_MT_add")
			if rd.use_game_engine:
				sub.menu("INFO_MT_game")
			else:
				sub.menu("INFO_MT_render")
			sub.menu("INFO_MT_help")
		if window.screen.show_fullscreen:
			layout.operator("screen.back_to_previous", icon='SCREEN_BACK', text="Back to Previous")
			layout.separator()
		else:
			layout.template_ID(context.window, "screen", new="screen.new", unlink="screen.delete")
			layout.template_ID(context.screen, "scene", new="scene.new", unlink="scene.delete")
		layout.separator()
		layout.operator("scene.gob_export", icon='FILE_REFRESH', text="GoB")
		layout.separator()
		if rd.has_multiple_engines:
			layout.prop(rd, "engine", text="")
		layout.separator()
		layout.template_running_jobs()
		layout.template_reports_banner()
		layout.label(text=scene.statistics())
		layout.operator("wm.window_fullscreen_toggle", icon='FULLSCREEN_ENTER', text="")
class GoB_export(bpy.types.Operator):
	bl_idname = "scene.gob_export"
	bl_label = "Export to Zbrush"
	def execute(self,context):
		importGoB()
		bpy.ops.export_scene.obj(filepath=pathExport+"/GoB.obj",group_by_material=True,use_selection=True,use_edges=False,use_materials=False)
		return{'FINISHED'}
def register():
	bpy.utils.register_class(GoB_export)
	bpy.utils.register_class(INFO_HT_header)
def unregister():
	import bl_ui
	bpy.utils.unregister_class(GoB_export)
	bpy.utils.unregister_class(INFO_HT_header)
	bpy.utils.register_class(bl_ui.space_info.INFO_HT_header)
if __name__ == "__main__":
    register()
